library(ggplot2)

# Set wd to file location
load("data.Rdata")

names <- c("None", "Minor", "Moderate", "Major")

p <- data.frame(sr11cheat = 0:3, sr21cheat = 0:3)
p <- expand.grid(p)
p$prob <- c(with(data, tapply(nelda29, list(sr11cheat, sr21cheat), mean)))
p$probt <- factor(format(round(p$prob, 2), digits = 2))

ggplot(p, aes(x=sr11cheat, y=sr21cheat, fill=prob)) + geom_tile(colour = "white") + geom_text(aes(fill = prob, label = probt), size = 5, fontface="bold") + scale_fill_gradient(low = "white", high = "steelblue") + xlab("\n Ex-ante manipulation") + ylab("Ex-post falsification\n") + theme(legend.position = "none", axis.text=element_text(size=15), axis.title = element_text(size=15,face="bold")) + scale_x_continuous(breaks=c(0:3), labels=names) + scale_y_continuous(breaks=c(0:3), labels=names) + ggtitle("Probability of post-election protest") + theme(plot.title = element_text(size=16, lineheight=.8, face="bold"))
